/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:22.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.enums.NoticePublishStatus;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 考试分数信息
 *
 * @author: fengdesheng
 * @since: 2018/8/31
 */
public class NoticeInfo implements JsonSerializable {

    private static final long serialVersionUID = -7739022488162924094L;
    /**
     * 公告id
     */
    @ApiModelProperty("公告id")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 发送对象
     */
    @ApiModelProperty("发送对象")
    private String publishObject;
    /**
     * 发布者
     */
    @ApiModelProperty("发布者")
    private String publisher;
    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private Date publishTime;
    /**
     * 发送状态
     */
    @ApiModelProperty("发送状态")
    private NoticePublishStatus publishStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPublishObject() {
        return publishObject;
    }

    public void setPublishObject(String publishObject) {
        this.publishObject = publishObject;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public NoticePublishStatus getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(NoticePublishStatus publishStatus) {
        this.publishStatus = publishStatus;
    }
}